Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Gtk::HPaned Class Reference

A GtkHPaned C++ wrapper class. More...

`#include <inti/gtk/paned.h>`

Inheritance diagram for Inti::Gtk::HPaned:

List of all members.

## Public Member Functions

Constructors

- HPaned ()
    Construct a new HPaned.
- virtual ~HPaned ()
    Destructor.

Accessors

- GtkHPaned * gtk_hpaned () const
    Get a pointer to the GtkHPaned structure.
- GtkHPanedClass * gtk_hpaned_class () const
    Get a pointer to the GtkHPanedClass structure.
- operator GtkHPaned * () const
    Conversion operator; safely converts a HPaned to a GtkHPaned pointer.

## Protected Member Functions

Constructor

- HPaned (GtkHPaned *hpaned, bool reference=false)
    Construct a new HPaned from an existing GtkHPaned.

## Detailed Description

A GtkHPaned C++ wrapper class.

The HPaned widget is a container widget with two children arranged horizontally. The division between the two panes is adjustable by the user by dragging a handle. See Paned for details.

## Constructor & Destructor Documentation

Inti::Gtk::HPaned::HPaned | ( | GtkHPaned * | hpaned,
|  | bool | reference = false
| ) | `[explicit, protected]`

  | Construct a new HPaned from an existing GtkHPaned. Parameters:
  hpaned | A pointer to a GtkHPaned.
  reference | Set false if the initial reference count is floating, set true if it's not.
The hpaned can be a newly created GtkHPaned or an existing GtkHPaned (see G::Object::Object).

The documentation for this class was generated from the following file:

- paned.h

Main Page - Footer